CVE-2024-24760

CVSS 3.1 Score 8.8 of 10 (high)

Details

Published Feb 2, 2024
Updated: Feb 10, 2024
CWE ID 610

Summary

CVE-2024-24760 is a security vulnerability affecting versions < 2024-01c of the mailcow dockerized email package. The vulnerability allows attackers on the same subnet to connect to exposed ports of a Docker container, even when the port is bound to 127.0.0.1. To remediate this vulnerability, additional iptables/nftables rules have been implemented to drop packets for Docker containers on ports 3306, 6379, 8983, and 12345 if the input interface is not br-mailcow and the output interface is br-mailcow. This vulnerability poses a potential danger to organizations using mailcow as it can be exploited by attackers on the same subnet to gain unauthorized access to exposed ports in Docker containers.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-24760 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options